#!/usr/bin/perl -w
use strict;
use Test;
BEGIN { plan test => 3; }

use Mud::Obj;
my $the_class = 'Mud::Obj';

my ($didRegister, $didChange, $didUnregister);

my $thing = Mud::Obj->new;

ok defined $thing;
ok $thing->isa('Mud::Obj');

my $cookie = rand();
$thing->storage_set_cookie($cookie);
ok $thing->storage_get_cookie == $cookie;


#--------------------------------
#
#package Mud::Storage::ObjTest;
#
#sub object_register
